AGFreetextQuery (agraph-java-client 5.0.4-SNAPSHOT API)
Description: declaration: package: com.franz.agraph.repository, class: AGFreetextQuery

Package com.franz.agraph.repository

# Class AGFreetextQuery

java.lang.Object
com.franz.agraph.repository.AGFreetextQuery

public class AGFreetextQuery extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AGFreetextQuery(AGRepositoryConnection conn)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.eclipse.rdf4j.repository.RepositoryResult<org.eclipse.rdf4j.model.Statement>`
  `evaluate()`
  `void`
  `evaluate(org.eclipse.rdf4j.rio.RDFHandler handler)`
  Evaluates the query and uses handler to process the result.
  `void`
  `setExpression(String expression)`
  `void`
  `setIndex(String index)`
  `void`
  `setLimit(int limit)`
  `void`
  `setOffset(int offset)`
  `void`
  `setPattern(String pattern)`
  `void`
  `setSorted(boolean sorted)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AGFreetextQuery

    public AGFreetextQuery(AGRepositoryConnection conn)

- ## Method Details

  - ### setPattern

    public void setPattern(String pattern)

  - ### setExpression

    public void setExpression(String expression)

  - ### setIndex

    public void setIndex(String index)

  - ### setSorted

    public void setSorted(boolean sorted)

  - ### setLimit

    public void setLimit(int limit)

  - ### setOffset

    public void setOffset(int offset)

  - ### evaluate

    public org.eclipse.rdf4j.repository.RepositoryResult<org.eclipse.rdf4j.model.Statement> evaluate() throws org.eclipse.rdf4j.query.QueryEvaluationException
    Throws:
      `org.eclipse.rdf4j.query.QueryEvaluationException`

  - ### evaluate

    public void evaluate(org.eclipse.rdf4j.rio.RDFHandler handler) throws org.eclipse.rdf4j.query.QueryEvaluationException, org.eclipse.rdf4j.rio.RDFHandlerException
    Evaluates the query and uses handler to process the result.
    Parameters:
      `handler` - used to process the query results
    Throws:
      `org.eclipse.rdf4j.query.QueryEvaluationException` - if errors occur while evaluating the query
      `org.eclipse.rdf4j.rio.RDFHandlerException` - if errors occur while processing results